Bug 234600 - devel/py-python-magic: Update to 0.4.15
Summary: devel/py-python-magic: Update to 0.4.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-03 21:45 UTC by Gilbert Morgan
Modified: 2019-04-20 13:12 UTC (History)
0 users

See Also:
koobs: maintainer-feedback+


Attachments
Patch file for py-python-magic (987 bytes, patch)
2019-01-03 21:45 UTC, Gilbert Morgan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gilbert Morgan 2019-01-03 21:45:26 UTC
Created attachment 200750 [details]
Patch file for py-python-magic

Update py-python-magic to the latest version which has better support for Python3, specifically so that magic information can be returned as strings instead of bytes.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-04 02:29:40 UTC
Thank you for the report and patch Gilbert
Comment 2 Gilbert Morgan 2019-01-04 19:16:40 UTC
(In reply to Kubilay Kocak from comment #1)
Thank you!
Comment 3 commit-hook freebsd_committer 2019-04-20 13:12:17 UTC
A commit references this bug:

Author: koobs
Date: Sat Apr 20 13:11:42 UTC 2019
New revision: 499441
URL: https://svnweb.freebsd.org/changeset/ports/499441

Log:
  devel/py-python-magic: Update to 0.4.15

    - Add USE_GITHUB comment (missing test data files)

  There are a number of test failures that are a consequence of slight differences
  between platform magic implementations and/or databases. Two have been reported
  upstream [1][2] and will be resolved in a subsequent release.

  [1] https://github.com/ahupp/python-magic/issues/173
  [2] https://github.com/ahupp/python-magic/issues/96

  PR:		234600
  Submitted by:	Gilbert Morgan <gmm tutanota com>

Changes:
  head/devel/py-python-magic/Makefile
  head/devel/py-python-magic/distinfo
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-20 13:12:54 UTC
Committed, with minor changes. Apologies for the delay Gilbert